Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
gc_profile_record Struct Reference

## Data Fields
int | flags
double | gc_time
double | gc_invoke_time
size_t | heap_total_objects
size_t | heap_use_size
size_t | heap_total_size

## Detailed Description

Definition at line 521 of file gc.c.

## Field Documentation

## ◆ flags

int gc_profile_record::flags

Definition at line 522 of file gc.c.

## ◆ gc_invoke_time

double gc_profile_record::gc_invoke_time

Definition at line 525 of file gc.c.

## ◆ gc_time

double gc_profile_record::gc_time

Definition at line 524 of file gc.c.

## ◆ heap_total_objects

size_t gc_profile_record::heap_total_objects

Definition at line 527 of file gc.c.

## ◆ heap_total_size

size_t gc_profile_record::heap_total_size

Definition at line 529 of file gc.c.

## ◆ heap_use_size

size_t gc_profile_record::heap_use_size

Definition at line 528 of file gc.c.

The documentation for this struct was generated from the following file:

- gc.c